Name:                airline
Version:             0.7
Release:             1
Summary:             Java annotation-based framework
License:             ASL 2.0
URL:                 https://github.com/airlift/airline
Source0:             https://github.com/airlift/airline/archive/%{version}.tar.gz
BuildRequires:       maven-local mvn(com.google.code.findbugs:annotations)
BuildRequires:       mvn(com.google.code.findbugs:jsr305) mvn(com.google.guava:guava)
BuildRequires:       mvn(javax.inject:javax.inject) mvn(org.testng:testng)
BuildArch:           noarch

%description
Airline is a Java annotation-based framework
for parsing Git like command line structures.

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
find -name '*.class' -delete
find -name '*.jar' -delete
%pom_remove_parent
%pom_xpath_inject "pom:project" "<groupId>io.airlift</groupId>"
%pom_add_dep com.google.code.findbugs:jsr305:2.0.3
%pom_xpath_inject "pom:dependency[pom:artifactId='annotations']" '<version>2.0.3</version>'
%pom_xpath_inject "pom:dependency[pom:artifactId='guava']" '<version>18.0</version>'
%pom_xpath_inject "pom:dependency[pom:artifactId='testng']" '<version>6.8.7</version>'
%mvn_file :%{name} %{name}

%build
%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license license.txt notice.md

%files javadoc -f .mfiles-javadoc
%license license.txt notice.md

%changelog
* Fri Jul 24 2020 chengzihan <chengzihan2@huawei.com> - 0.7-1
- Package init
